<?php

	if (!defined('__DIR__')) { define('__DIR__', dirname(__FILE__)); }
	
	include_once locate_template('/inc/activation.php');            // Activations functions
	include_once locate_template('/inc/config.php');          // Configuration and constants
	include_once locate_template('/inc/cleanup.php');         // Cleanup
	include_once locate_template('/inc/scripts.php');         // Scripts and stylesheets
	include_once locate_template('/inc/hooks.php');           // Hooks
	include_once locate_template('/inc/actions.php');         // Actions
	include_once locate_template('/inc/widgets.php');         // Sidebars and widgets
	include_once locate_template('/inc/custom.php');          // Custom functions
	include_once locate_template('/inc/theme_options.php');  	// Admin functions
	include_once locate_template('/inc/pirenko_scodes/shortcodes.php');  	// Shortcodes

	//FONTS
	$select_font_options = array(
		'9' => array(
			'value' =>	'Acme',
			'hosted'=> 'google',
			'css' => 'Acme',
			'label' => __( 'Acme', 'pixiatheme' )
		),
		'4' => array(
			'value' =>	'Alegreya:400italic,700italic,400,700',
			'hosted'=> 'google',
			'css' => 'Alegreya',
			'label' => __( 'Alegreya', 'pixiatheme' )
		),
		'16' => array(
			'value' =>	'Anton',
			'hosted'=> 'google',
			'css' => "'Anton', sans-serif",
			'label' => __( 'Anton', 'pixiatheme' )
		),
		'14' => array(
			'value' =>	'Arial',
			'hosted'=> 'self',
			'css' => 'Arial',
			'label' => __( 'Arial', 'pixiatheme' )
		),
		'5' => array(
			'value' =>	'Arvo',
			'hosted'=> 'google',
			'css' => 'Arvo',
			'label' => __( 'Arvo', 'pixiatheme' )
		),
		'10' => array(
			'value' =>	'Asap',
			'hosted'=> 'google',
			'css' => 'Asap',
			'label' => __( 'Asap', 'pixiatheme' )
		),
		'7' => array(
			'value' =>	'Asul:400,700',
			'hosted'=> 'google',
			'css' => 'Asul',
			'label' => __( 'Asul', 'pixiatheme' )
		),
		'43' => array(
			'value' =>	'Average+Sans',
			'hosted'=> 'google',
			'css' => "'Average Sans', sans-serif;",
			'label' => __( 'Average Sans', 'pixiatheme' )
		),
		'42' => array(
			'value' =>	'Bitter:400,700,400italic',
			'hosted'=> 'google',
			'css' => "'Bitter', serif;",
			'label' => __( 'Bitter', 'pixiatheme' )
		),
		'25' => array(
			'value' =>	'Bree+Serif',
			'hosted'=> 'google',
			'css' => "'Bree Serif', serif",
			'label' => __( 'Bree Serif', 'pixiatheme' )
		),
		'11' => array(
			'value' =>	'Cabin:500,500italic',
			'hosted'=> 'google',
			'css' => "'Cabin', sans-serif",
			'label' => __( 'Cabin', 'pixiatheme' )
		),
		'48' => array(
			'value' =>	'Changa+One:400,400italic',
			'hosted'=> 'google',
			'css' => "'Changa One', cursive;",
			'label' => __( 'Changa One', 'pixiatheme' )
		),
		'61' => array(
			'value' =>	'Cinzel:400,700,900',
			'hosted'=> 'google',
			'css' => "'Cinzel', serif;",
			'label' => __( 'Cinzel', 'pixiatheme' )
		),
		'29' => array(
			'value' =>	'courier_new',
			'hosted'=> 'self',
			'css' => "'Courier New', Courier, monospace",
			'label' => __( 'Courier New', 'pixiatheme' )
		),
		'24' => array(
			'value' =>	'Cousine:400,700',
			'hosted'=> 'google',
			'css' => "'Cousine', sans-serif",
			'label' => __( 'Cousine', 'pixiatheme' )
		),
		'51' => array(
			'value' =>	'Coustard',
			'hosted'=> 'google',
			'css' => "'Coustard', serif;",
			'label' => __( 'Coustard', 'pixiatheme' )
		),
		'56' => array(
			'value' =>	'Crimson+Text:400,400italic,600,600italic',
			'hosted'=> 'google',
			'css' => "'Crimson Text', serif;",
			'label' => __( 'Crimson Text', 'pixiatheme' )
		),
		'22' => array(
			'value' =>	'Dosis:500,600,700',
			'hosted'=> 'google',
			'css' => "'Dosis', sans-serif",
			'label' => __( 'Dosis', 'pixiatheme' )
		),
		'1' => array(
			'value' =>	'Droid+Sans:400,700',
			'css' => 'Droid Sans',
			'hosted'=> 'google',
			'label' => __( 'Droid Sans', 'pixiatheme' )
		),
		'8' => array(
			'value' =>	'Droid+Serif:400,700,400italic,700italic',
			'css' => 'Droid Serif',
			'hosted'=> 'google',
			'label' => __( 'Droid Serif', 'pixiatheme' )
		),
		'18' => array(
			'value' =>	'Economica:700',
			'hosted'=> 'google',
			'css' => "'Economica', sans-serif",
			'label' => __( 'Economica', 'pixiatheme' )
		),
		'17' => array(
			'value' =>	'Exo:700,800',
			'hosted'=> 'google',
			'css' => "'Exo', sans-serif",
			'label' => __( 'Exo Sans', 'pixiatheme' )
		),
		'15' => array(
			'value' =>	'Francois+One',
			'hosted'=> 'google',
			'css' => "'Francois One', sans-serif",
			'label' => __( 'Francois One', 'pixiatheme' )
		),
		'30' => array(
			'value' =>	'helvetica',
			'hosted'=> 'self',
			'css' => "Helvetica, pixial, sans-serif",
			'label' => __( 'Helvetica', 'pixiatheme' )
		),
		'52' => array(
			'value' =>	'Josefin+Sans:400,600,700',
			'hosted'=> 'google',
			'css' => "'Josefin Sans', sans-serif",
			'label' => __( 'Josefin Sans', 'pixiatheme' )
		),
		'26' => array(
			'value' =>	'Lato:300,400,700',
			'hosted'=> 'google',
			'css' => "'Lato', sans-serif",
			'label' => __( 'Lato', 'pixiatheme' )
		),
		'59' => array(
			'value' =>	'Lekton:400,700,400italic&subset=latin,latin-ext',
			'hosted'=> 'google',
			'css' => "'Lekton', sans-serif",
			'label' => __( 'Lekton', 'pixiatheme' )
		),
		'32' => array(
			'value' =>	'Lora',
			'hosted'=> 'google',
			'css' => "'Lora', serif",
			'label' => __( 'Lora', 'pixiatheme' )
		),
		'46' => array(
			'value' =>	'Maven+Pro:400,700',
			'hosted'=> 'google',
			'css' => "'Maven Pro', sans-serif",
			'label' => __( 'Maven Pro', 'pixiatheme' )
		),
		'54' => array(
			'value' =>	'Merriweather:400,300,700',
			'hosted'=> 'google',
			'css' => "'Merriweather', serif",
			'label' => __( 'Merriweather', 'pixiatheme' )
		),
		'31' => array(
			'value' =>	'Montserrat',
			'hosted'=> 'google',
			'css' => "'Montserrat', sans-serif",
			'label' => __( 'Montserrat', 'pixiatheme' )
		),
		'37' => array(
			'value' =>	'Muli:400,400italic',
			'hosted'=> 'google',
			'css' => "'Muli', sans-serif",
			'label' => __( 'Muli', 'pixiatheme' )
		),
		'50' => array(
			'value' =>	'News+Cycle:400,700',
			'hosted'=> 'google',
			'css' => "'News Cycle', sans-serif",
			'label' => __( 'News Cycle', 'pixiatheme' )
		),
		'60' => array(
			'value' =>	'Nobile:400,400italic,700,700italic',
			'hosted'=> 'google',
			'css' => "'Nobile', sans-serif",
			'label' => __( 'Nobile', 'pixiatheme' )
		),
		'0' => array(
			'value' =>	'Open+Sans:400italic,600italic,700italic,400,600,700',
			'css' => 'Open Sans',
			'hosted'=> 'google',
			'label' => __( 'Open Sans', 'pixiatheme' )
		),
		'47' => array(
			'value' =>	'Open+Sans+Condensed:300,700,300italic',
			'hosted'=> 'google',
			'css' => "'Open Sans Condensed', sans-serif",
			'label' => __( 'Open Sans Condensed', 'pixiatheme' )
		),
		'45' => array(
			'value' =>	'Orienta',
			'hosted'=> 'google',
			'css' => "'Orienta', sans-serif",
			'label' => __( 'Orienta', 'pixiatheme' )
		),
		'13' => array(
			'value' =>	'Oswald:700,400,300',
			'hosted'=> 'google',
			'css' => "'Oswald', sans-serif",
			'label' => __( 'Oswald', 'pixiatheme' )
		),
		'36' => array(
			'value' =>	'Overlock+SC',
			'hosted'=> 'google',
			'css' => "'Overlock SC', cursive",
			'label' => __( 'Overlock SC', 'pixiatheme' )
		),
		'33' => array(
			'value' =>	'Oxygen+Mono',
			'hosted'=> 'google',
			'css' => "'Oxygen Mono', sans-serif",
			'label' => __( 'Oxygen Mono', 'pixiatheme' )
		),
		'41' => array(
			'value' =>	'Patua+One',
			'hosted'=> 'google',
			'css' => "'Patua One', cursive",
			'label' => __( 'Patua One', 'pixiatheme' )
		),
		'39' => array(
			'value' =>	'Pompiere',
			'hosted'=> 'google',
			'css' => "'Pompiere', cursive",
			'label' => __( 'Pompiere', 'pixiatheme' )
		),
		'2' => array(
			'value' =>	'PT+Sans:400,700,400italic',
			'hosted'=> 'google',
			'css' => "'PT Sans', sans-serif",
			'label' => __( 'PT Sans', 'pixiatheme' )
		),
		'28' => array(
			'value' =>	'PT+Sans+Narrow',
			'hosted'=> 'google',
			'css' => "'PT Sans Narrow', sans-serif",
			'label' => __( 'PT Sans Narrow', 'pixiatheme' )
		),
		'23' => array(
			'value' =>	'Questrial',
			'hosted'=> 'google',
			'css' => "'Questrial', sans-serif",
			'label' => __( 'Questrial', 'pixiatheme' )
		),
		'35' => array(
			'value' =>	'Quicksand:400,700',
			'hosted'=> 'google',
			'css' => "'Quicksand', sans-serif",
			'label' => __( 'Quicksand', 'pixiatheme' )
		),
		'34' => array(
			'value' =>	'Raleway:400,700',
			'hosted'=> 'google',
			'css' => "'Raleway', sans-serif",
			'label' => __( 'Raleway', 'pixiatheme' )
		),
		'57' => array(
			'value' =>	'Rambla:400,700,400italic,700italic&subset=latin,latin-ext',
			'hosted'=> 'google',
			'css' => "'Rambla', sans-serif",
			'label' => __( 'Rambla', 'pixiatheme' )
		),
		'55' => array(
			'value' =>	'Roboto+Condensed:400italic,700italic,400,700&subset=latin,latin-ext',
			'hosted'=> 'google',
			'css' => "'Roboto Condensed', sans-serif",
			'label' => __( 'Roboto Condensed', 'pixiatheme' )
		),
		'53' => array(
			'value' =>	'Rokkitt:400,700',
			'hosted'=> 'google',
			'css' => "'Rokkitt', serif",
			'label' => __( 'Rokkit', 'pixiatheme' )
		),
		'12' => array(
			'value' =>	'Ruda:400,700,900',
			'hosted'=> 'google',
			'css' => "'Ruda', sans-serif",
			'label' => __( 'Ruda', 'pixiatheme' )
		),
		'38' => array(
			'value' =>	'Rye',
			'hosted'=> 'google',
			'css' => "'Rye', cursive",
			'label' => __( 'Rye', 'pixiatheme' )
		),
		'58' => array(
			'value' =>	'Sanchez:400italic,400&subset=latin,latin-ext',
			'hosted'=> 'google',
			'css' => "'Sanchez', serif",
			'label' => __( 'Sanchez', 'pixiatheme' )
		),
		'44' => array(
			'value' =>	'Share+Tech',
			'hosted'=> 'google',
			'css' => "'Share Tech', sans-serif",
			'label' => __( 'Share Tech', 'pixiatheme' )
		),
		'49' => array(
			'value' =>	'Source+Sans+Pro:400,700,400italic,700italic',
			'hosted'=> 'google',
			'css' => "'Source Sans Pro', sans-serif",
			'label' => __( 'Source Sans Pro', 'pixiatheme' )
		),
		'40' => array(
			'value' =>	'Titillium+Web:400,600,400italic',
			'hosted'=> 'google',
			'css' => "'Titillium Web', sans-serif",
			'label' => __( 'Titillium Web', 'pixiatheme' )
		),
		'6' => array(
			'value' =>	'Ubuntu:400,400italic',
			'hosted'=> 'google',
			'css' => "'Ubuntu', sans-serif",
			'label' => __( 'Ubuntu', 'pixiatheme' )
		),
		'27' => array(
			'value' =>	'Vollkorn:400italic,400',
			'hosted'=> 'google',
			'css' => "'Vollkorn', serif",
			'label' => __( 'Vollkorn', 'pixiatheme' )
		),
		'3' => array(
			'value' =>	'Yanone+Kaffeesatz',
			'hosted'=> 'google',
			'css' => 'Yanone Kaffeesatz',
			'label' => __( 'Yanone Kaffeesatz', 'pixiatheme' )
		),
		'190' => array(
			'value' =>	'bebas_neue',
			'hosted'=> 'theme',
			'css' => "BebasNeueRegular",
			'label' => __( 'Bebas Neue', 'pixiatheme' )
		),
		'191' => array(
			'value' =>	'league_gothic',
			'hosted'=> 'theme',
			'css' => "LeagueGothicRegular",
			'label' => __( 'League Gothic', 'pixiatheme' )
		),
		'194' => array(
			'value' =>	'novecento',
			'hosted'=> 'theme',
			'css' => "NovecentowideBookBold",
			'label' => __( 'Novecento', 'pixiatheme' )
		),
		'192' => array(
			'value' =>	'osp_din',
			'hosted'=> 'theme',
			'css' => "OSPDIN",
			'label' => __( 'OSP Din', 'pixiatheme' )
		),
		'193' => array(
			'value' =>	'tex_gyre',
			'hosted'=> 'theme',
			'css' => "TeXGyreHerosBold",
			'label' => __( 'TeX Gyre Heros', 'pixiatheme' )
		)
	);
	$prk_pixia_frontend_options=get_option('pixia_theme_options');
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	//MAKE THE THEME READY FOR EXTRA FONTS PLUGIN
	if (!is_array($prk_pixia_frontend_options['header_font']))
	{
		foreach ( $select_font_options as $option_header ) 
        {
            $label_header = $option_header['label'];
            if ($prk_pixia_frontend_options['header_font'] == $option_header['value'])
            {
            	$prk_pixia_frontend_options['header_font']=$option_header;
            }  
        }
        if (is_plugin_active('prk_fonts/prk_fonts.php'))
        {
	        $prk_font_options = get_option('prk_font_plugin_option');
			foreach ($prk_font_options as $font) {
				if ($font['erased']=="false") {
					if ($prk_pixia_frontend_options['header_font'] == $font['value'])
		            {
		            	$prk_pixia_frontend_options['header_font']=$font;
		            } 
	            }
			}
		}
        update_option('pixia_theme_options', $prk_pixia_frontend_options);
	}
	if (!is_array($prk_pixia_frontend_options['body_font']))
	{
		foreach ( $select_font_options as $option_header ) 
        {
            $label_header = $option_header['label'];
            if ($prk_pixia_frontend_options['body_font'] == $option_header['value'])
            {
            	$prk_pixia_frontend_options['body_font']=$option_header;
            }  
        }
        if (is_plugin_active('prk_fonts/prk_fonts.php'))
        {
	        $prk_font_options = get_option('prk_font_plugin_option');
			foreach ($prk_font_options as $font) {
				if ($font['erased']=="false") {
					if ($prk_pixia_frontend_options['body_font'] == $font['value'])
		            {
		            	$prk_pixia_frontend_options['body_font']=$font;
		            } 
	            }
			}
		}
        update_option('pixia_theme_options', $prk_pixia_frontend_options);
	}
	
	function pixia_setup() {
	
		// Make theme available for translation
		load_theme_textdomain('pixia', get_template_directory() . '/lang');
		
		//ADD THE DEFAULT LOCATIONS IF NECESSARY
		if ( is_nav_menu( 'Top Left Navigation'  ) )
		{
			//DO NOTHING. THE MENU ALREADY EXISTS	
		}
		else
		{
			register_nav_menus(array(
			'top_left_navigation' => __('Top Left Navigation', 'pixia')));
		}
		//THIS MENU IS MANDATORY!
		if ( is_nav_menu( 'Pixia Main Menu'  ) )
		{
			//DO NOTHING. THE MENU ALREADY EXISTS	
		}
		else
		{
			//ADD THE DEFAULT FOOTER MENU
			$name = 'Pixia Main Menu';
			$menu_id = wp_create_nav_menu($name);
			$menu = get_term_by( 'name', $name, 'nav_menu' );
			//ASSIGN THE MENU TO THE DEFAULT LOCATION
			$locations = get_theme_mod('nav_menu_locations');
			$locations['top_left_navigation'] = $menu->term_id;
			set_theme_mod( 'nav_menu_locations', $locations );
			//ADD THE HOMEPAGE BUTTON
			$menu = 
				array( 
					'menu-item-type' => 'custom', 
					'menu-item-url' => site_url(),
					'menu-item-title' => 'Home',
					'menu-item-status' => 'publish'
				);
			wp_update_nav_menu_item( $menu_id, 0, $menu );
		}
		
	  // Add post thumbnails (http://codex.wordpress.org/Post_Thumbnails)
	  add_theme_support('post-thumbnails');
	
	}
	
	add_action('after_setup_theme', 'pixia_setup');
	
	//-------------------------
	//CREATE SLIDES CUSTOM TYPE
	//-------------------------
	function slides_register() 
	{
 
		$labels = array(
			'name' => _x('Slides', 'post type general name', 'pixia'),
			'singular_name' => _x('Slide', 'post type singular name', 'pixia'),
			'add_new' => _x('Add New Slide', 'slides item', 'pixia'),
			'add_new_item' => __('Add New Slide', 'pixia'),
			'edit_item' => __('Edit Slide', 'pixia'),
			'new_item' => __('New Slide', 'pixia'),
			'view_item' => __('View Slide', 'pixia'),
			'search_items' => __('Search Slides', 'pixia'),
			'not_found' =>  __('Nothing found', 'pixia'),
			'not_found_in_trash' => __('Nothing found in Trash', 'pixia'),
			'parent_item_colon' => ''
		);
 
		if ( get_bloginfo('version')>='3.8' ) {
 			$args = array(
 				'exclude_from_search' => true,
				'labels' => $labels,
				'public' => true,
				'publicly_queryable' => true,
				'show_ui' => true,
				'query_var' => true,
				'menu_icon' => '',
				'rewrite' => array('slug' => 'slides'),
				'capability_type' => 'post',
				'hierarchical' => false,
				'menu_position' => null,
				'supports' => array('title','editor','thumbnail')
			);
 		}
 		else
 		{
			$args = array(
				'exclude_from_search' => true,
				'labels' => $labels,
				'public' => true,
				'publicly_queryable' => true,
				'show_ui' => true,
				'query_var' => true,
				'menu_icon' => get_template_directory_uri() . '/images/admin/menu.png',
				'rewrite' => array('slug' => 'slides'),
				'capability_type' => 'post',
				'hierarchical' => false,
				'menu_position' => null,
				'supports' => array('title','editor','thumbnail')
			); 
		}
		register_post_type( 'pirenko_slides' , $args );
	}
	
	//ADD MORE COLUMNS FOR THE DASHBOARD VIEW
	
	//ADD HOOKS
	add_filter('manage_pirenko_slides_posts_columns', 'pirenko_columns_head_only_slides', 10);
	add_action('manage_pirenko_slides_posts_custom_column', 'pirenko_columns_content_only_slides', 10, 2);
	//RESORT COLUMNS
	function pirenko_columns_head_only_slides($defaults) 
	{
		unset($defaults['date']);
		$defaults['set']="Group";
		$defaults['featured_image'] = 'Featured Image';
		$defaults['date']="Date";
		return $defaults;
	}
	//FILL SPECIAL COLUMNS
	function pirenko_columns_content_only_slides($column_name, $post_ID) 
	{
		global $post;
		if ($column_name == 'featured_image') 
		{  
			$post_featured_image = pirenko_get_featured_image($post_ID);  
			if ($post_featured_image) {  
				// HAS A FEATURED IMAGE  
				echo '<img class="slides_image_preview" src="' . $post_featured_image . '" />';  
			}  
			else {  
				// NO FEATURED IMAGE, SHOW THE DEFAULT ONE  
				echo ("No image");
			}  
		}
		if ($column_name == 'set') 
		{ 
		{
				$terms = get_the_terms( $post_ID, 'pirenko_slide_set' );
				if ( !empty( $terms ) ) 
				{
					$out = array();
					foreach ( $terms as $term ) 
					{
						$out[] = sprintf( '<a href="%s">%s</a>',
							esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'pirenko_slide_set' => $term->slug ), 'edit.php' ) ),
							esc_html( sanitize_term_field( 'name', $term->name, $term->term_id, 'pirenko_slide_set', 'display' ) )
						);
					}
					//JOIN THE TERMS SEPARATED BY A COMMA
					echo join( ', ', $out );	
				}
			}
		}
	}


	//ADD CUSTOM OPTIONS ON THE BACKEND PANEL FOR SLIDE TYPE
	function pixia_slides_add_custom_box() 
	{
		add_meta_box( 
			'myplugin_sectionid',
			__( 'Pixia Slides Custom Options', 'pixia' ),
			'pixia_slides_custom_box',
			'pirenko_slides' 
		);
	}
	add_action( 'add_meta_boxes', 'pixia_slides_add_custom_box' );
	
	function pixia_slides_custom_box( $post ) 
	{	
		// Use nonce for verification
		wp_nonce_field( plugin_basename( __FILE__ ), 'myplugin_noncename' );
		// The actual fields for data entry
		
		//SHOW TEXT
		echo '<label for="pixia_show_txt">';
		global $post;
		$mm_helper="";
		$new_value = get_post_meta($post->ID, 'pixia_slide_txt', true);
		if (isset($new_value ))
		{
			if ($new_value==1 || $new_value=="") 
				$mm_helper='CHECKED';
		}
		else
			$mm_helper='CHECKED';
		?>
		<div class="form-field form-required">
			<label for="pixia_slide_txt">Show title and post content text?
			<input type="hidden" name="pixia_slide_txt" value="0" />
			<input type="checkbox" style="width:50px" name="pixia_slide_txt" value="1" <?php echo $mm_helper; ?> /></label>
		</div>
		<?php
			//TEXT POSITION
			//HORIZONTAL
			global $horz_options;
			$horz_options = array(
			'left' => array(
			'value' => 'left',
			'label' => __( 'Left', 'pixiatheme' )
			),
			'right' => array(
			'value' => 'right',
			'label' => __( 'Right', 'pixiatheme' )
			));
			?>
            <br  />
			<label for="pixia_slide_txt">Text horizontal position:</label>
			<select id="" name="pixia_slide_txt_horz" class="">
				<?php   
				global $post; 
				$new_value = get_post_meta($post->ID, 'pixia_slide_txt_horz', true);
				foreach ( $horz_options as $horz_option ) 
				{
					$label = $horz_option['label'];
					if ( $new_value == $horz_option['value'] ) // Make default first in list
						echo "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $horz_option['value'] ) . "'>$label</option>";
					else
						echo "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $horz_option['value'] ) . "'>$label</option>";
				}
				?>
			</select>
			<?php
			//VERTICAL
			global $vert_options;
			$vert_options = array(
			'top' => array(
			'value' => 'top',
			'label' => __( 'Top', 'pixiatheme' )
			),
			'bottom' => array(
			'value' => 'bottom',
			'label' => __( 'Bottom', 'pixiatheme' )
			));
			?>
			<label for="pixia_slide_txt">Text vertical position:</label>
			<select id="" name="pixia_slide_txt_vert" class="">
				<?php   
				global $post; 
				$new_value = get_post_meta($post->ID, 'pixia_slide_txt_vert', true);
				foreach ( $vert_options as $vert_option ) 
				{
					$label = $vert_option['label'];
					if ( $new_value == $vert_option['value'] ) // Make default first in list
						echo "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $vert_option['value'] ) . "'>$label</option>";
					else
						echo "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $vert_option['value'] ) . "'>$label</option>";
				}
				?>
			</select>
            <?php 
				global $post;
				$pixia_slide_header_color = get_post_meta($post->ID, 'pixia_slide_header_color', true);
				$pixia_slide_body_color = get_post_meta($post->ID, 'pixia_slide_body_color', true);
			?>
            <br /><br />
            <label for="pixia_slide_header_color" style="width: 75px;display: inline-block;">Title color:</label>
            <input name="pixia_slide_header_color" id="pixia_slide_header_color" type="text" value="<?php echo( $pixia_slide_header_color ); ?>" /><em style="color:#666666;">&nbsp;Example:#000000</em>
            <br /><br />
            <label for="pixia_slide_header_color" style="width: 75px;display: inline-block;">Body color:</label>
            <input name="pixia_slide_body_color" id="pixia_slide_body_color" type="text" value="<?php echo( $pixia_slide_body_color ); ?>" /><em style="color:#666666;">&nbsp;Example:#000000</em>
            <br /><br />
			<?php
            //VIDEO
            echo '<br><label for="pixia_video">';
            _e("Video HTML code", 'pixia_video_code' );
            echo '</label><em> (optional)</em>';
            $new_value = get_post_meta($post->ID, 'pixia_slide_video', true);
            echo '<div class="form-field form-required"><input type="text" id="pixia_slide_video" name="pixia_slide_video" value="' .   esc_html($new_value)  . '" size="" /></div><br><br>';
            
            //EXTERNAL LINK
            echo '<label for="pixia_slides_url">';
            _e("Open this link when slide is clicked", 'pixia_url_code' );
            echo '</label><em> (optional)</em>';
            global $post;
            $new_value_url = get_post_meta($post->ID, 'pixia_slide_url', true);
            echo '<div class="form-field form-required"><input type="text" id="pixia_slide_url" name="pixia_slide_url" value="' . esc_html($new_value_url)  . '" size="" /></div>';
			//TARGET WINDOW
			global $wdw_options;
			$wdw_options = array(
			'_self' => array(
			'value' => '_self',
			'label' => __( 'Same window', 'pixiatheme' )
			),
			'_blank' => array(
			'value' => '_blank',
			'label' => __( 'New Window', 'pixiatheme' )
			));
			?>
            <br />
			<label for="pixia_slide_txt">Open link on which window/tab?
			<select id="" name="pixia_slide_wdw" class="">
				<?php   
				global $post; 
				$new_value = get_post_meta($post->ID, 'pixia_slide_wdw', true);
				foreach ( $wdw_options as $wdw_option ) 
				{
					$label = $wdw_option['label'];
					if ( $new_value == $wdw_option['value'] ) // Make default first in list
						echo "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $wdw_option['value'] ) . "'>$label</option>";
					else
						echo "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $wdw_option['value'] ) . "'>$label</option>";
				}
				?>
			</select>
            <?php
		}

	//SAVE SLIDE CUSTOM DATA
	function pixia_slides_save_postdata( $post_id ) 
	{
		//CHECK PERMISSIONS
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
			return;
		//SAVE DATA
		
		if (isset($_POST['pixia_slide_txt_horz']))
		{
			$mydata = $_POST['pixia_slide_txt_horz'];	  
			update_post_meta($post_id,'pixia_slide_txt_horz',$mydata);
		}
		if (isset($_POST['pixia_slide_txt_vert']))
		{
			$mydata = $_POST['pixia_slide_txt_vert'];	  
			update_post_meta($post_id,'pixia_slide_txt_vert',$mydata);
		}
		if (isset($_POST['pixia_slide_txt']))
		{
			$mydata = $_POST['pixia_slide_txt'];	  
			update_post_meta($post_id,'pixia_slide_txt',$mydata);
		}
		if (isset($_POST['pixia_slide_header_color']))
		{
			$mydata = $_POST['pixia_slide_header_color'];	
			if ($mydata!="" && $mydata[0] != '#')
				$mydata='#'.$mydata;
			update_post_meta($post_id,'pixia_slide_header_color',$mydata);
		}
		if (isset($_POST['pixia_slide_body_color']))
		{
			$mydata = $_POST['pixia_slide_body_color'];	
			if ($mydata!="" && $mydata[0] != '#')
				$mydata='#'.$mydata;  
			update_post_meta($post_id,'pixia_slide_body_color',$mydata);
		}
		if (isset($_POST['pixia_slide_video']))
		{
			$mydata = $_POST['pixia_slide_video'];	  
			update_post_meta($post_id,'pixia_slide_video',$mydata);
		}
		if (isset($_POST['pixia_slide_url']))
		{
			$mydataurl = $_POST['pixia_slide_url'];	  
			update_post_meta($post_id,'pixia_slide_url',$mydataurl);
		}
		if (isset($_POST['pixia_slide_wdw']))
		{
			$mydataurl = $_POST['pixia_slide_wdw'];	  
			update_post_meta($post_id,'pixia_slide_wdw',$mydataurl);
		}
	}
	add_action( 'save_post', 'pixia_slides_save_postdata' );

	//CREATE SLIDER ITEMS POST TYPE
	add_action('init', 'slides_register');
	
	//ADD TAXONOMIES FOR SLIDES
	$labels_pir_categories = array(
		'name' => __('Groups', 'post type general name', 'pixia'),
		'all_items' => __('All Groups', 'all items', 'pixia'),
		'add_new_item' => __('Add New Group', 'adding a new item', 'pixia'),
		'new_item_name' => __('New Group Name', 'adding a new item', 'pixia'),
		'edit_item' => __("Edit Group", "pixiatheme")
	);

	$args_pir_categories = array(
		'labels' => $labels_pir_categories,
		'rewrite' => array('slug' => 'set'),
		'hierarchical' => true
	);
	
	register_taxonomy( 'pirenko_slide_set', 'pirenko_slides', $args_pir_categories );
	
	//-------------------------
	//CREATE PORTFOLIO CUSTOM TYPE
	//-------------------------
	function portfolio_register() 
	{
		$labels = array(
			'add_new_item' => __('Add Portfolio Item', 'pixia'),
			'edit_item' => __('Edit Portfolio Item', 'pixia'),
			'new_item' => __('New Portfolio Item', 'pixia'),
			'view_item' => __('Preview Portfolio Item', 'pixia'),
			'search_items' => __('Search Portfolio Items', 'pixia'),
			'not_found' => __('No Portfolio items found.', 'pixia'),
			'not_found_in_trash' => __('No Portfolio items found in Trash.', 'pixia')
		);
		if ( get_bloginfo('version')>='3.8' ) 
		{
			register_post_type('pirenko_portfolios', array(
				'label' => __('Portfolio Items', 'pixia'),
				'labels' => array('all_items' => __('All Portfolios', 'pixia')),
				'singular_label' => __('Portfolio Item', 'pixia'),
				'public' => true,
				'show_ui' => true, 
				'_builtin' => false,
				'capability_type' => 'post',
				'hierarchical' => false,
				'rewrite' => array('slug' => 'portfolios'),
				'supports' => array('title', 'excerpt', 'editor', 'thumbnail', 'comments','custom-fields'), // Let's use custom fields for debugging purposes only
				'menu_icon' => '',
			));
		}
		else
		{
		
			register_post_type('pirenko_portfolios', array(
				'label' => __('Portfolio Items', 'pixia'),
				'singular_label' => __('Portfolio Item', 'pixia'),
				'public' => true,
				'show_ui' => true, 
				'_builtin' => false,
				'capability_type' => 'post',
				'hierarchical' => false,
				'rewrite' => array('slug' => 'portfolios'),
				'supports' => array('title', 'excerpt', 'editor', 'thumbnail', 'comments','custom-fields'), // Let's use custom fields for debugging purposes only
				'menu_icon' => get_template_directory_uri() . '/images/admin/portfolio.png',
			));
		}
		flush_rewrite_rules();
	}
	add_action('init', 'portfolio_register');
	//PORTFOLIO ADD MORE COLUMNS FOR THE DASHBOARD VIEW
	//ADD HOOKS
	add_filter('manage_pirenko_portfolios_posts_columns', 'pirenko_columns_head_only_portfolios', 10);
	add_action('manage_pirenko_portfolios_posts_custom_column', 'pirenko_columns_content_only_portfolios', 10, 2);
	//FUNCTION TO RETRIEVE FEATURED IMAGE
	function pirenko_get_featured_image($post_ID) {
		$post_thumbnail_id = get_post_thumbnail_id($post_ID);
		if ($post_thumbnail_id) {
			$post_thumbnail_img = wp_get_attachment_image_src($post_thumbnail_id, 'medium');
			return $post_thumbnail_img[0];
		}
	}
	//RESORT COLUMNS
	function pirenko_columns_head_only_portfolios($defaults) 
	{
		unset($defaults['date']);
		$defaults['set']=__('Skills', 'seven_lang');
		$defaults['featured_image'] = 'Featured Image';
		$defaults['date']="Date";
		return $defaults;
	}
	//FILL SPECIAL COLUMNS
	function pirenko_columns_content_only_portfolios($column_name, $post_ID) 
	{
		global $post;
		if ($column_name == 'featured_image') 
		{  
			$post_featured_image = pirenko_get_featured_image($post_ID);  
			if ($post_featured_image) {  
				// HAS A FEATURED IMAGE  
				echo '<img class="slides_image_preview" src="' . $post_featured_image . '" />';  
			}  
			else {  
				// NO FEATURED IMAGE, SHOW THE DEFAULT ONE  
				echo ("No image");
			}  
		}
		if ($column_name == 'set') 
		{ 
			{
				$terms = get_the_terms( $post_ID, 'pirenko_skills' );
				if ( !empty( $terms ) ) 
				{
					$out = array();
					foreach ( $terms as $term ) 
					{
						$out[] = sprintf( '<a href="%s">%s</a>',
							esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'pirenko_skills' => $term->slug ), 'edit.php' ) ),
							esc_html( sanitize_term_field( 'name', $term->name, $term->term_id, 'pirenko_skills', 'display' ) )
						);
					}
					//JOIN THE TERMS SEPARATED BY A COMMA
					echo join( ', ', $out );	
				}
			}
		}
	}
	//ADD TAXONOMIES SIMILAR TO A CATEGORY
	$labels_pir_categories = array(
		'name' => __('Skills', 'post type general name', 'pixia'),
		'all_items' => __('All Skills', 'all items', 'pixia'),
		'add_new_item' => __('Add New Skill', 'adding a new item', 'pixia'),
		'new_item_name' => __('New Skill Name', 'adding a new item', 'pixia'),
		'edit_item' => __("Edit Skill", "pixiatheme")
	);

	$args_pir_categories = array(
		'labels' => $labels_pir_categories,
		'rewrite' => array('slug' => 'skills'),
		'hierarchical' => true
	);	
	
	register_taxonomy( 'pirenko_skills', 'pirenko_portfolios', $args_pir_categories );
	//ADD TAXONOMIES SIMILAR TO TAGS
	  $labels = array(
		'name' => _x( 'Tags', 'taxonomy general name', 'pixia' ),
		'singular_name' => _x( 'Tag', 'taxonomy singular name', 'pixia' ),
		'search_items' =>  __( 'Search Tags', 'pixia' ),
		'popular_items' => __( 'Popular Tags', 'pixia' ),
		'all_items' => __( 'All Tags', 'pixia' ),
		'parent_item' => null,
		'parent_item_colon' => null,
		'edit_item' => __( 'Edit Tag', 'pixia' ), 
		'update_item' => __( 'Update Tag', 'pixia' ),
		'add_new_item' => __( 'Add New Tag', 'pixia' ),
		'new_item_name' => __( 'New Tag Name', 'pixia' ),
		'separate_items_with_commas' => __( 'Separate Tags with commas', 'pixia' ),
		'add_or_remove_items' => __( 'Add or remove Tags', 'pixia' ),
		'choose_from_most_used' => __( 'Choose from the most used Tags', 'pixia' ),
		'menu_name' => __( 'Tags', 'pixia' ),
	  ); 
	
	  register_taxonomy('portfolio_tag','pirenko_portfolios',array(
		'hierarchical' => false,
		'labels' => $labels,
		'show_ui' => true,
		'update_count_callback' => '_update_post_term_count',
		'query_var' => true,
		'rewrite' => array( 'slug' => 'tagged' ),
	  ));

		//-------------------------
		//CREATE MEMBERS CUSTOM TYPE
		//-------------------------
		function members_register() 
		{
			$labels = array(
				'add_new_item' => __('Add Team Member', 'pixia'),
				'edit_item' => __('Edit Team Member', 'pixia'),
				'new_item' => __('New Team Member', 'pixia'),
				'view_item' => __('Preview Team Member', 'pixia'),
				'search_items' => __('Search Team Members', 'pixia'),
				'not_found' => __('No Team Members found.', 'pixia'),
				'not_found_in_trash' => __('No Team Members found in Trash.', 'pixia')
			);	
			if ( get_bloginfo('version')>='3.8' )
			{
				register_post_type('pirenko_team_member', array(
					'label' => __('Team Members', 'pixia'),
					'labels' => array('all_items' => __('All Members', 'pixia')),
					'singular_label' => __('Team Member', 'pixia'),
					'public' => true,
					'show_ui' => true, 
					'_builtin' => false,
					'capability_type' => 'post',
					'hierarchical' => false,
					'rewrite' => array('slug' => 'member'),
					'supports' => array('title', 'excerpt', 'editor', 'thumbnail', 'comments','custom-fields','revisions'), // Let's use custom fields for debugging purposes only
					'menu_icon' => '',
				));
			}
			else 
			{
				register_post_type('pirenko_team_member', array(
					'label' => __('Team Members', 'pixia'),
					'labels' => array('all_items' => __('All Members', 'pixia')),
					'singular_label' => __('Team Member', 'pixia'),
					'public' => true,
					'show_ui' => true, 
					'_builtin' => false,
					'capability_type' => 'post',
					'hierarchical' => false,
					'rewrite' => array('slug' => 'member'),
					'supports' => array('title', 'excerpt', 'editor', 'thumbnail', 'comments','custom-fields','revisions'), // Let's use custom fields for debugging purposes only
				));
			}
			//ADD TAXONOMIES SIMILAR TO A CATEGORY
			$labels_pir_categories = array(
				'name' => __('Teams', 'post type general name', 'pixia'),
				'all_items' => __('All Teams', 'all items', 'pixia'),
				'add_new_item' => __('Add New Team', 'adding a new item', 'pixia'),
				'new_item_name' => __('New Team Name', 'adding a new item', 'pixia'),
				'edit_item' => __("Edit Team", "pixia")
			);

			$args_pir_categories = array(
				'labels' => $labels_pir_categories,
				'rewrite' => array('slug' => "team"),
				'hierarchical' => true
			);
			register_taxonomy('pirenko_member_group', 'pirenko_team_member', $args_pir_categories );
		}
		add_action('init', 'members_register',5);

		//MEMBERS ADD MORE COLUMNS FOR THE DASHBOARD VIEW
		//ADD HOOKS
		add_filter('manage_pirenko_team_member_posts_columns', 'pirenko_columns_head_only_members', 10);
		add_action('manage_pirenko_team_member_posts_custom_column', 'pirenko_columns_content_only_members', 10, 2);
		//RESORT COLUMNS
		function pirenko_columns_head_only_members($defaults) 
		{
			unset($defaults['date']);
			$defaults['set']=__('Team', 'pixia');
			$defaults['featured_image'] = 'Featured Image';
			$defaults['date']="Date";
			return $defaults;
		}
		//FILL SPECIAL COLUMNS
		function pirenko_columns_content_only_members($column_name, $post_ID) 
		{
			global $post;
			if ($column_name == 'featured_image') {  
				$post_featured_image = pirenko_get_featured_image($post_ID);  
				if ($post_featured_image) {  
					// HAS A FEATURED IMAGE  
					echo '<img class="slides_image_preview" src="' . $post_featured_image . '" />';  
				}  
				else {  
					// NO FEATURED IMAGE, SHOW THE DEFAULT ONE  
					echo ("No image");
				}  
			}
			if ($column_name == 'set') { 
				$terms = get_the_terms( $post_ID, 'pirenko_member_group' );
				if ( !empty( $terms ) ) 
				{
					$out = array();
					foreach ( $terms as $term ) 
					{
						$out[] = sprintf( '<a href="%s">%s</a>',
							esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'pirenko_member_group' => $term->slug ), 'edit.php' ) ),
							esc_html( sanitize_term_field( 'name', $term->name, $term->term_id, 'pirenko_member_group', 'display' ) )
						);
					}
					//JOIN THE TERMS SEPARATED BY A COMMA
					echo join( ', ', $out );	
				}
			}
		}
	  
	//ADD METABOXES SUPPORT
	include_once locate_template('inc/plugins/wpalchemy/metaboxes/setup.php');
	//ADD METABOXES FOR CPT'S
	include_once locate_template('inc/plugins/wpalchemy/metaboxes/portfolio-spec.php');
	include_once locate_template('inc/plugins/wpalchemy/metaboxes/member-spec.php');
	//ADD METABOXES FOR SPECIAL PAGES
	include_once locate_template('inc/plugins/wpalchemy/metaboxes/template-portfolio-spec.php');
	include_once locate_template('inc/plugins/wpalchemy/metaboxes/template-blog-spec.php');
	include_once locate_template('inc/plugins/wpalchemy/metaboxes/template-homepage-spec.php');
	include_once locate_template('inc/plugins/wpalchemy/metaboxes/reg-page-spec.php');
	
	//Redirect to Theme Options Page on Activation
	if ( is_admin() && isset($_GET['activated'] ) && $pagenow =="themes.php" )
		wp_redirect( 'themes.php?page=theme_options' );
		
	//THEME CHECK WARNINGS REMOVAL
	add_theme_support( 'automatic-feed-links' );
	//FONT MANIPULATION
	function is_google_font($variable_val)
	{
		if ($variable_val!="courier_new" && $variable_val!="helvetica" && $variable_val!="Arial" && $variable_val!="bebas_neue") {
			return true;
		}
		else {
			return false;	
		}
	}
	//FIX FOR COMPATIBILITY MODE ON IE
	/*
	Plugin Name: Force IE Edge
	Description: Add an X-UA-Compatible header to WordPress
	Author: Christopher Davis
	Author URI: http://christopherdavis.me
	License: GPL2
		
		Copyright 2012 Christopher Davis
	
		This program is free software; you can redistribute it and/or modify
		it under the terms of the GNU General Public License, version 2, as 
		published by the Free Software Foundation.
	
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
	
		You should have received a copy of the GNU General Public License
		along with this program; if not, write to the Free Software
		Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
	*/
	
	
	add_filter('wp_headers', 'cdfie_add_header');
	/*
	 * Adds a header to WordPress
	 *
	 * @return array Where header => header value
	 */
	function cdfie_add_header($headers)
	{
		$headers['X-UA-Compatible'] = 'IE=edge,chrome=1';
		return $headers;
	}
	
	//POST LIKE FEATURE
	
	$timebeforerevote = 60;

	add_action('wp_ajax_nopriv_post-like', 'post_like');
	add_action('wp_ajax_post-like', 'post_like');
	
	
	
	function post_like()
	{
		$nonce = $_POST['nonce'];
	 
		if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
			die ( 'Busted!');
			
		if(isset($_POST['post_like']))
		{
			$ip = $_SERVER['REMOTE_ADDR'];
			$post_id = $_POST['post_id'];
			
			$meta_IP = get_post_meta($post_id, "voted_IP");
			if (empty($meta_IP))
					$meta_IP[0]="";
			$voted_IP = $meta_IP[0];
			if(!is_array($voted_IP))
				$voted_IP = array();
			
			$meta_count = get_post_meta($post_id, "votes_count", true);
	
			if(!hasAlreadyVoted($post_id))
			{
				$voted_IP[$ip] = time();
	
				update_post_meta($post_id, "voted_IP", $voted_IP);
				update_post_meta($post_id, "votes_count", ++$meta_count);
				
				echo $meta_count;
			}
			else
				echo "already";
		}
		exit;
	}
	
	function hasAlreadyVoted($post_id)
	{
		global $timebeforerevote;
	
		$meta_IP = get_post_meta($post_id, "voted_IP");
		if (empty($meta_IP))
			$meta_IP[0]="";
		$voted_IP = $meta_IP[0];
		if(!is_array($voted_IP))
			$voted_IP = array();
		$ip = $_SERVER['REMOTE_ADDR'];
		
		if(in_array($ip, array_keys($voted_IP)))
		{
			$time = $voted_IP[$ip];
			$now = time();
			
			if(round(($now - $time) / 60) > $timebeforerevote)
				return false;
				
			return true;
		}
		
		return false;
	}
	
	function getPostLikeLink($post_id)
	{
		global $pixia_frontend_options; 
		$pixia_frontend_options=get_option('pixia_theme_options');
		$themename = "pixia";
		$heart_color=alter_brightness("#".$pixia_frontend_options['inactive_color'],40);
		$vote_count = get_post_meta($post_id, "votes_count", true);
		if ($vote_count=="")
			$vote_count=0;
		$output = '<div class="post-like">';
		if(hasAlreadyVoted($post_id))
		{
			$heart_color="#ff3030";
		}
		if(hasAlreadyVoted($post_id))
			$output .= ' 	<a href="#" pir_title="'.__('You already liked this', $themename).'" class="pir_like alreadyvoted">
								<div class="tr_wrapper" style="z-index:0;">
									<div class="submenu_heart pirenko_tinted">
										<i class="clearer_inactive_color pixia_fa-heart"></i>
									</div>
								</div>
								<span class="count masonr_inactive" style="margin-left:23px;top:1px;position:relative;">'.$vote_count.'</span>
						</a>';
		else
			$output .= '<a href="#" data-post_id="'.$post_id.'" pir_title="'.__('I like this!', $themename).'">
							<div class="tr_wrapper" style="z-index:0;">
                            	<div class="submenu_heart pirenko_tinted">
                                	<i class="clearer_inactive_color pixia_fa-heart"></i>
                               	</div>
                        	</div>
							<span class="count masonr_inactive" style="margin-left:23px;top:1px;position:relative;">'.$vote_count.'</span>
					</a>';
		
		$output .= '</div>';
		return $output;
	}
	function getblogLikeLink($post_id)
	{
		global $pixia_frontend_options; 
		$pixia_frontend_options=get_option('pixia_theme_options');
		$heart_color=alter_brightness("#".$pixia_frontend_options['inactive_color'],40);
		$themename = "pixia";
	
		$vote_count = get_post_meta($post_id, "votes_count", true);
		if ($vote_count=="")
			$vote_count=0;
		$output = '<div class="post-like">';
		$add_this_class="";
		$tip_txt="I like this!";
		if(hasAlreadyVoted($post_id))
		{
			$add_this_class="pir_like alreadyvoted";
			$tip_txt="You already liked this";
			$heart_color="#ff3030";
		}
			$output .= ' 	<a href="#" data-post_id="'.$post_id.'" class="like-link" pir_title="'.__($tip_txt, $themename).'" class="'.$add_this_class.'">
								<div class="tr_wrapper" style="z-index:0;">
									<div class="submenu_heart pirenko_tinted">
										<i class="clearer_inactive_color pixia_fa-heart"></i>
									</div>
								</div>
								<span class="count masonr_inactive">'.$vote_count.'</span>
						</a>';
		$output .= '</div>';
		return $output;
	}
	//ADD PAGE SLUGS ON NAV ID'S - USEFULL FOR PORTFOLIO FILTERS
	function nav_id_filter( $id, $item ) {
	if (strpos($item->url,'/?') == true) 
	{
		//WE ARE USING THE DEFAULT PERMALINK SYSTEM
		//GRAB WHAT'S AFTER THE = SIGN
		$parts = substr(strrchr($item->url, "="), 1);
		return 'nav-'.$parts;
	}
	else
		return 'nav-'.basename($item->url);
	}
	add_filter( 'nav_menu_item_id', 'nav_id_filter', 10, 2 );
	
	function get_attachment_id_from_src ($image_src) {

		global $wpdb;
		$query = "SELECT ID FROM {$wpdb->posts} WHERE guid='$image_src'";
		$id = $wpdb->get_var($query);
		return $id;
	}
	//FUNCTION TO CHECK IF PATH CONTAINS YOUTUBE, VIMEO...
    function prk_external_content($stringa) {
        // check if string ends with image extension
        if (preg_match('/(\.jpg|\.png|\.bmp)$/', $stringa)) {
            return "other";
        // check if there is youtube.com in string
        } elseif (strpos($stringa, "youtube.com") !== false) {
            return "youtube";
        } elseif (strpos($stringa, "youtu.be") !== false) {
            return "youtube";
        // check if there is vimeo.com in string
        } elseif (strpos($stringa, "vimeo.com") !== false) {
            return "vimeo";
        } elseif (strpos($stringa, "soundcloud.com") !== false) {
            return "soundcloud";
        } else {
            return "other";
        }
    }
	function get_youtube_url($text) {
        $text = preg_replace('~
            # Match non-linked youtube URL in the wild. (Rev:20130823)
            https?://         # Required scheme. Either http or https.
            (?:[0-9A-Z-]+\.)? # Optional subdomain.
            (?:               # Group host alternatives.
              youtu\.be/      # Either youtu.be,
            | youtube\.com    # or youtube.com followed by
              \S*             # Allow anything up to VIDEO_ID,
              [^\w\-\s]       # but char before ID is non-ID char.
            )                 # End host alternatives.
            ([\w\-]{11})      # $1: VIDEO_ID is exactly 11 chars.
            (?=[^\w\-]|$)     # Assert next char is non-ID or EOS.
            (?!               # Assert URL is not pre-linked.
              [?=&+%\w.-]*    # Allow URL (query) remainder.
              (?:             # Group pre-linked alternatives.
                [\'"][^<>]*>  # Either inside a start tag,
              | </a>          # or inside <a> element text contents.
              )               # End recognized pre-linked alts.
            )                 # End negative lookahead assertion.
            [?=&+%\w.-]*        # Consume any URL (query) remainder.
            ~ix', 
            '$1',
            $text);
        return $text;
    }
    function get_iframe_src($raw_content) {
        if ($raw_content!="") {
            $doc = new DOMDocument();
            libxml_use_internal_errors(true);
            $doc->loadHTML($raw_content);
            libxml_use_internal_errors(false);
            if (is_object($doc->getElementsByTagName('iframe')->item(0))){
                $src = $doc->getElementsByTagName('iframe')->item(0)->getAttribute('src');
            }
            else {
                return "Wrong Video Code.";
            }
            if (prk_external_content($raw_content)=="youtube")
            {
            	//ADD HTTP IF NEEDED
            	if (substr($src,0,2)=="//")
            	    $src="http:".$src;
                return "http://www.youtube.com/watch?v=".get_youtube_url($src);
            }
            if (prk_external_content($raw_content)=="vimeo")
            {
                return $src;
            }
            if (prk_external_content($raw_content)=="soundcloud")
            {
                return $src;
            }
        }
        else
        {
            return "No Content Is Set";
        }
    }

    //BETTER QTRANSLATE SUPPORT
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    if (is_plugin_active('qtranslate/qtranslate.php')) {
        function qtranslate_edit_taxonomies(){
           $args=array(
              'public' => true ,
              '_builtin' => false
           );
           $output = 'object'; // or objects
           $operator = 'and'; // 'and' or 'or'

           $taxonomies = get_taxonomies($args,$output,$operator); 

           if  ($taxonomies) {
             foreach ($taxonomies  as $taxonomy ) {
                 add_action( $taxonomy->name.'_add_form', 'qtrans_modifyTermFormFor');
                 add_action( $taxonomy->name.'_edit_form', 'qtrans_modifyTermFormFor');        

             }
           }
        }
        add_action('admin_init', 'qtranslate_edit_taxonomies');
    }
	
	//FUNCTION TO GET SLUG PASSING AN ID
	function the_slug( $id ) {
		$post_data = get_post($id, ARRAY_A);
		$slug = $post_data['post_name'];
		return $slug; 
	}

	//FACEBOOK EXTRA INFO
	if (!defined('WPSEO_VERSION')) {
		function prk_facebook() {
	        global $post;
	        if (!is_singular()) {
	            return;
	        }
	        echo '<meta property="og:title" content="'.get_the_title().'" />';
	        echo '<meta property="og:type" content="article"/>';
	        echo '<meta property="og:url" content="'.get_permalink().'" />';
	        echo '<meta property="og:site_name" content="'.get_bloginfo('name').'" />';
	        echo '<meta property="og:description" content="'.strip_tags(the_excerpt_dynamic(40,$post->ID)).'" />';
	        if(has_post_thumbnail( $post->ID )) {
	            $thumbnail_src = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ),'full');
	            echo '<meta property="og:image" content="' . esc_attr( $thumbnail_src[0] ) . '" />';
	        }
	    }
	    add_action('wp_head', 'prk_facebook', 5);
	}
	
	//WOOCOMMERCE STUFF
	if (PRK_WOO=="true") {
	    add_theme_support('woocommerce');
	    add_filter( 'woocommerce_enqueue_styles', 'jk_dequeue_styles' );
	    function jk_dequeue_styles( $enqueue_styles ) {
	        unset( $enqueue_styles['woocommerce-smallscreen'] );    // Remove the smallscreen optimisation
	        return $enqueue_styles;
	    }

	    /**
	     * WooCommerce Extra Feature
	     * --------------------------
	     *
	     * Change number of related products on product page
	     * Set your own value for 'posts_per_page'
	     *
	     */ 
	    function woo_related_products_limit() {
	      global $product;
	    	
	    	$args['posts_per_page'] = 3;
	    	return $args;
	    }
	    add_filter( 'woocommerce_output_related_products_args', 'jk_related_products_args' );
	      function jk_related_products_args( $args ) {
	    	$args['posts_per_page'] = 3; // 4 related products
	    	$args['columns'] = 3; // arranged in 2 columns
	    	return $args;
	    }

	    //INVERT SALE BUTTON POSITION
	    add_filter('woocommerce_sale_price_html', 'wdm_change_price_text', 10, 2);
	    function wdm_change_price_text( $price, $this_object ) {
	        $display_price       = $this_object->get_display_price();
	        $display_regular_price   = $this_object->get_display_price($this_object->get_regular_price());
	        $price='<ins>' . wc_price($display_price) . '</ins>' . $this_object->get_price_suffix() . '<del>' . wc_price($display_regular_price) . '</del> ';
	        return $price;
	    }
	}
	/**
	 * Include the TGM_Plugin_Activation class.
	 */
	require_once dirname( __FILE__ ) . '/inc/plugins/tgm-plugin-activation/class-tgm-plugin-activation.php';

	add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );
	/* Register the required plugins for this theme. */
	function my_theme_register_required_plugins() {

		$plugins = array(
			array(
				'name'     				=> 'Envato toolkit - Useful to keep the theme updated',
				'slug'     				=> 'envato-wordpress-toolkit',
				'source'   				=> get_template_directory_uri() . '/external_plugins/envato-wordpress-toolkit.zip', 
				'required' 				=> false, // If false, the plugin is only 'recommended' instead of required
				'version' 				=> '1.7.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
			),
		);
		$config = array(
			'domain'       		=> 'pixia',         	// Text domain - likely want to be the same as your theme.
			'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
			'parent_menu_slug' 	=> 'themes.php', 				// Default parent menu slug
			'parent_url_slug' 	=> 'themes.php', 				// Default parent URL slug
			'menu'         		=> 'install-required-plugins', 	// Menu slug
			'has_notices'      	=> true,                       	// Show admin notices or not
			'is_automatic'    	=> true,					   	// Automatically activate plugins after installation or not
			'message' 			=> 'Hello',							// Message to output right before the plugins table
			'strings'      		=> array(
				'page_title'                       			=> __( 'Install Required Plugins', 'pixia' ),
				'menu_title'                       			=> __( 'Install Plugins', 'pixia' ),
				'installing'                       			=> __( 'Installing Plugin: %s', 'pixia' ), // %1$s = plugin name
				'oops'                             			=> __( 'Something went wrong with the plugin API.', 'pixia' ),
				'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin (self-hosted): %1$s.', 'This theme requires the following plugins (self-hosted): %1$s.' ), // %1$s = plugin name(s)
				'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin (self-hosted): %1$s.', 'This theme recommends the following plugins (self-hosted): %1$s.' ), // %1$s = plugin name(s)
				'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
				'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
				'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
				'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
				'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.<br>The update is located on the theme root folder inside the external_plugins folder.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.<br>The updates are located on the theme root folder inside the external_plugins folder.' ), // %1$s = plugin name(s)
				'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
				'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
				'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
				'return'                           			=> __( 'Return to Required Plugins Installer', 'pixia' ),
				'plugin_activated'                 			=> __( 'Plugin activated successfully.', 'pixia' ),
				'complete' 									=> __( 'All plugins installed and activated successfully. %s', 'pixia' ), // %1$s = dashboard link
				'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
			)
		);
		tgmpa( $plugins, $config );
	}
?>